
#==================================================================================

function ls_dir() {

#==================================================================================

    #arguments inférieurs à 3
    if [ "$#" -ne 3 ]
    then
        find "$1" -mindepth 1 -maxdepth 1 -type d | sort -V 

    elif [ "$2" == "-r" ]
    then
        find "$1" -mindepth 1 -type d | sort -V 
    else
        ERROR "arg 2 not good $@"
    fi
}
#==================================================================================

function ls_file() {

#==================================================================================

    if [ "$2" == "-r" ]
    then
        find "$1" -mindepth 1 -type f | sort -V 
    else
        find "$1" -mindepth 1 -maxdepth 1 -type f | sort -V 
    fi
}
#==================================================================================

function ls_name() {

#==================================================================================

    if [ "$3" == "-r" ]
    then
        find "$1" -mindepth 1 -name "*$2*" | sort -V 
    else
        find "$1" -mindepth 1 -maxdepth 1 -name "*$2*" | sort -V 
    fi
}

#==================================================================================

function filter_files() {

#==================================================================================

    if [ "$2" == "-r" ]
    then
        find "$1" -mindepth 1 -type f -name "*.$3" | sort -V 
    else
        find "$1" -mindepth 1 -maxdepth 1 -type f -name "*.$2" | sort -V 
    fi
}
#==================================================================================

function filter_dir() {

#==================================================================================

    if [ "$2" == "-r" ]
    then
        find "$1" -mindepth 1 -type d -name "$3*" | sort -V 
    else
        find "$1" -mindepth 1 -maxdepth 1 -type d -name "$2*" | sort -V 
    fi
}
#==================================================================================

function is_package() {

#==================================================================================

    if [ -e "$1/$2" ]
    then
        echo $1
    fi
}
#==================================================================================

function ls_package() {

#==================================================================================
    local directory="$1"
    local package_file="$2"


    #local recursive="$3"
    shift 2

    for package_path in $(ls_dir "$directory" "$@"  )
    do
        is_package $package_path $package_file
    done



}
#==================================================================================






